export interface ExtErrorProps {
    hide?: boolean;
    system?: boolean;
}
declare const ExtErrorProp: unique symbol;
export type ExtError = Error & {
    [ExtErrorProp]: ExtErrorProps;
};
export declare function createExtError(err: Error, ext: ExtErrorProps): ExtError;
export declare function getExtErrorProps(err: Error): ExtErrorProps | undefined;
export {};
